<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto" >

    <data >

        <import type="com.quansu.heifengwuliu.BuildConfig" />

        <variable
            name="vm"
            type="com.quansu.heifengwuliu.vmodel.SettingsVModel" />

    </data >

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical" >

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent" >

            <ScrollView
                android:layout_width="match_parent"
                android:layout_height="match_parent" >

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical" >

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:paddingTop="@dimen/dp_10"
                        android:paddingBottom="@dimen/dp_10" >


                        <RelativeLayout
                            android:id="@+id/lay_login_password"
                            android:layout_width="match_parent"
                            android:layout_height="48dp"
                            android:onClick="@{v->vm.goPassword(1)}"
                            android:layout_marginStart="@dimen/dp_14" >

                            <ImageView
                                android:id="@+id/img_icon1"
                                android:layout_width="30dp"
                                android:layout_height="30dp"
                                android:layout_centerVertical="true"
                                android:padding="@dimen/dp_4"
                                android:src="@drawable/ic_login_pwd" />

                            <TextView
                                android:id="@+id/tv_title1"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:layout_marginLeft="@dimen/dp_10"
                                android:layout_toRightOf="@id/img_icon1"
                                android:gravity="center_vertical"
                                android:text="登录密码"
                                android:textColor="@color/primary_text"
                                android:textSize="@dimen/sp_15" />

                             <ImageView
                                style="@style/mine_arrow_right"
                                 android:layout_centerVertical="true"
                                 android:layout_alignParentRight="true"
                                 android:layout_marginEnd="@dimen/dp_12"
                                 android:src="@drawable/mine_right" />

                            <View
                                android:layout_width="match_parent"
                                android:layout_height="1dp"
                                android:layout_alignLeft="@id/tv_title1"
                                android:layout_alignParentBottom="true"
                                android:background="@color/color_page_bg" />

                        </RelativeLayout >

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_marginLeft="@dimen/dp_14"
                            android:background="@color/color_page_bg" />


                        <RelativeLayout
                            android:id="@+id/lay_pay_password"
                            android:layout_width="match_parent"
                            android:layout_height="48dp"
                            android:onClick="@{v->vm.goPassword(2)}"
                            android:layout_marginStart="@dimen/dp_14" >

                            <ImageView
                                android:id="@+id/img_icon2"
                                android:layout_width="30dp"
                                android:layout_height="30dp"
                                android:layout_centerVertical="true"
                                android:padding="@dimen/dp_4"
                                android:src="@drawable/ic_login_pwd" />

                            <TextView
                                android:id="@+id/tv_title2"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:layout_marginLeft="@dimen/dp_10"
                                android:layout_toRightOf="@id/img_icon2"
                                android:gravity="center_vertical"
                                android:text="支付密码"
                                android:textColor="@color/primary_text"
                                android:textSize="@dimen/sp_15" />

                            <ImageView
                                style="@style/mine_arrow_right"
                                android:layout_centerVertical="true"
                                android:layout_alignParentRight="true"
                                android:layout_marginEnd="@dimen/dp_12"
                                android:src="@drawable/mine_right" />

                            <View
                                android:layout_width="match_parent"
                                android:layout_height="1dp"
                                android:layout_alignLeft="@id/tv_title2"
                                android:layout_alignParentBottom="true"
                                android:background="@color/color_page_bg" />

                        </RelativeLayout >

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_marginLeft="@dimen/dp_14"
                            android:background="@color/color_page_bg" />




                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="28dp"
                            android:layout_marginLeft="@dimen/dp_14"
                            android:layout_marginTop="@dimen/dp_2"
                            android:gravity="center_vertical"
                            android:text="应用"
                            android:textSize="@dimen/sp_14" />

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_marginLeft="@dimen/dp_14"
                            android:background="@color/color_page_bg" />

                        <RelativeLayout
                            android:id="@+id/lay_checkupdate"
                            android:layout_width="match_parent"
                            android:layout_height="48dp"
                            android:layout_marginStart="@dimen/dp_14" >

                            <ImageView
                                android:id="@+id/img_icon14"
                                android:layout_width="30dp"
                                android:layout_height="30dp"
                                android:layout_centerVertical="true"
                                android:padding="@dimen/dp_4"
                                android:src="@drawable/ic_check_update" />

                            <TextView
                                android:id="@+id/tv_title14"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:layout_marginLeft="@dimen/dp_10"
                                android:layout_toRightOf="@id/img_icon14"
                                android:gravity="center_vertical"
                                android:text="检查更新"
                                android:textColor="@color/primary_text"
                                android:textSize="@dimen/sp_15" />

                            <TextView
                                android:id="@+id/tv_version_name"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentRight="true"
                                android:layout_centerVertical="true"
                                android:layout_marginRight="@dimen/dp_14"
                                android:gravity="center_vertical"
                                android:text="@{`V`+BuildConfig.VERSION_NAME}"
                                android:textColor="@color/secondary_text"
                                android:textSize="@dimen/sp_12" />

                            <View
                                android:layout_width="match_parent"
                                android:layout_height="1dp"
                                android:layout_alignLeft="@id/tv_title14"
                                android:layout_alignParentBottom="true"
                                android:background="@color/color_page_bg" />

                        </RelativeLayout >

                        <RelativeLayout
                            android:id="@+id/lay_about_us"
                            android:layout_width="match_parent"
                            android:layout_height="48dp"
                            android:layout_marginStart="@dimen/dp_14" >

                            <ImageView
                                android:id="@+id/img_icon15"
                                android:layout_width="30dp"
                                android:layout_height="30dp"
                                android:layout_centerVertical="true"
                                android:padding="@dimen/dp_4"
                                android:src="@drawable/ic_about_us" />

                            <TextView
                                android:id="@+id/tv_title15"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:layout_marginLeft="@dimen/dp_10"
                                android:layout_toRightOf="@id/img_icon15"
                                android:gravity="center_vertical"
                                android:text="关于我们"
                                android:textColor="@color/primary_text"
                                android:textSize="@dimen/sp_15" />

                            <View
                                android:layout_width="match_parent"
                                android:layout_height="1dp"
                                android:layout_alignLeft="@id/tv_title15"
                                android:layout_alignParentBottom="true"
                                android:background="@color/color_page_bg" />

                        </RelativeLayout >

                    </LinearLayout >
                </LinearLayout >
            </ScrollView >

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_gravity="bottom"
                android:layout_marginLeft="35dp"
                android:layout_marginTop="35dp"
                android:layout_marginRight="35dp"
                android:layout_marginBottom="@dimen/sp_15"
                android:background="@color/colorPrimary"
                android:visibility="@{vm.user.isLogin()?0:8}"
                app:cardBackgroundColor="@color/colorPrimary"
                app:cardCornerRadius="22.5dp"
                app:cardElevation="2dp"
                app:cardPreventCornerOverlap="true" >

                <Button
                    android:id="@+id/btn_logout"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@color/colorPrimary"
                    android:text="@string/logout"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_16" />

            </androidx.cardview.widget.CardView >

        </FrameLayout >
    </LinearLayout >
</layout >
